using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Client
{
    public partial class AppProperties : Form
    {
        public AppProperties()
        {
            InitializeComponent();

            List<SerialPortDetails> sPorts = SerialPortEx.FindAllPorts();
            foreach (SerialPortDetails d in sPorts)
                cboPorts.Items.Add(d);

            SizeComboDropdown(cboPorts);
            cboPorts.SelectedIndex = 0;
        }

        private void SizeComboDropdown(ComboBox cbo)
        {
            int nWidth = 0;
            foreach (object i in cbo.Items)
            {
                string s = i.ToString();
                Size sz = TextRenderer.MeasureText(s, cbo.Font);
                nWidth = Math.Max(nWidth, sz.Width);
            }
            if ( cbo.DropDownWidth < nWidth )
                cbo.DropDownWidth = nWidth;
        }

        public String Port
        {
            get 
            { 
                return ((SerialPortDetails)cboPorts.SelectedItem).Port; 
            }
            set
            {
                foreach (Object o in cboPorts.Items)
                {
                    if (((SerialPortDetails)o).Port == value)
                    {
                        cboPorts.SelectedItem = o;
                        break;
                    }
                }
            }
            
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            this.Close();
        }

    }
}