// Client, client application for the serialmon board.
//
// Copyright (C) 2008, Frank Tkalcevic, www.franksworkshop.com

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Text;

namespace Client
{
    class DisplayProperties
    {
        protected int nCharactersPerLine = 0;
        protected int nLinesPerPage = 0;
        protected bool bRealTime = false;
        protected bool bShowTime = false;
        protected bool bShowAddress = false;
        protected double dBaud = 9600.0;
        protected bool bShowLine1 = false;
        protected bool bShowLine2 = false;
        public virtual int CharactersPerLine

        {
            get { return nCharactersPerLine; }
            set { nCharactersPerLine = value; }
        }

        public virtual int LinesPerPage
        {
            get { return nLinesPerPage; }
            set { nLinesPerPage = value; }
        }

        public virtual bool RealTime
        {
            get { return bRealTime; }
            set { bRealTime = value; }
        }

        public virtual bool ShowTime
        {
            get { return bShowTime; }
            set { bShowTime = value; }
        }

        public virtual bool ShowAddress
        {
            get { return bShowAddress; }
            set { bShowAddress = value; }
        }

        public virtual bool ShowLine1
        {
            get { return bShowLine1; }
            set { bShowLine1 = value; }
        }

        public virtual bool ShowLine2
        {
            get { return bShowLine2; }
            set { bShowLine2 = value; }
        }

        public virtual double Baud
        {
            get { return dBaud; }
            set { dBaud = value; }
        }

    }
}
