// Client, client application for the serialmon board.
//
// Copyright (C) 2008, Frank Tkalcevic, www.franksworkshop.com

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Text;

namespace Client
{
    class SerialCommand
    {
        const byte CommandShift = 2;
        const byte CommandMask = 0x3;
        const byte LineShift = 1;
        const byte LineMask = 1;

        public enum ECommand : byte
        {
            Data = 0,
            Error = 1,
            Timing = 2,
            AutoBaud = 3,
        };

        static public ECommand Command(ushort n)
        {
            return (ECommand)((n >> (8 + CommandShift)) & CommandMask);
        }

        static public ECommand Command(byte n)
        {
            return (ECommand)((n >> CommandShift) & CommandMask);
        }

        static public int Line(ushort n)
        {
            return (int)((n >> (8 + LineShift)) & LineMask);
        }

    }
}
