// Client, client application for the serialmon board.
//
// Copyright (C) 2008, Frank Tkalcevic, www.franksworkshop.com

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Text;

namespace Client
{
    class SerialMon
    {
        const int MSG_START = 0xAA;
        const int CMD_CONFIG_LINE = 0x2;
        const int CMD_AUTO_CONFIG_LINE = 0x4;
        const int CMD_START = 0x6;
        const int CMD_STOP = 0x8;

        public static void ConfigLine( SerialPortEx Port, int nLine, int nBaud, int nBits, int nParity, int nStopBits )
        {
            List<byte> buf = new List<byte>();
            buf.Add(MSG_START);
            buf.Add(10);
            buf.Add((byte)(CMD_CONFIG_LINE + nLine));
            buf.AddRange( BitConverter.GetBytes( nBaud ) );
            buf.Add( (byte)nBits ) ;
            buf.Add( (byte)nParity ) ;
            buf.Add( (byte)nStopBits ) ;

            byte[] bytes = buf.ToArray();
            Port.Write(bytes, 0, bytes.Length);
        }

        public static void AutoConfigLine(SerialPortEx Port, int nLine)
        {
            List<byte> buf = new List<byte>();
            buf.Add(MSG_START);
            buf.Add(3);
            buf.Add((byte)(CMD_AUTO_CONFIG_LINE + nLine));

            byte[] bytes = buf.ToArray();
            Port.Write(bytes, 0, bytes.Length);
        }
        public static void Start(SerialPortEx Port)
        {
            List<byte> buf = new List<byte>();
            buf.Add(MSG_START);
            buf.Add(3);
            buf.Add(CMD_START);

            byte[] bytes = buf.ToArray();
            Port.Write(bytes, 0, bytes.Length);
        }
        public static void Stop(SerialPortEx Port)
        {
            List<byte> buf = new List<byte>();
            buf.Add(MSG_START);
            buf.Add(3);
            buf.Add(CMD_STOP);

            byte[] bytes = buf.ToArray();
            Port.Write(bytes, 0, bytes.Length);
        }
    }
}
